namespace adas_core.module.ProxyDevices.Devices;

public interface IProxyDevice
{
    void Initialize(Dictionary<string, object?> deviceParameters);
    Task<HttpResponseMessage> Process();
    Task<HttpResponseMessage> Stream();
}